Subject: Re: [PATCH] ci: use actions/{upload,download}-artifact@v3

From: Junio C Hamano <[email-masked]>
Date: Wed, 07 Dec 2022 09:35:01 +0900

Junio C Hamano <[email-masked]> writes:

>> This is probably incorrect, but you wouldn't know until something failed
>> in the `linux32` job.
>
> Yeah, that was what I was afraid to see.
>
>> I already have a correct fix in
>> https://github.com/git-for-windows/git/pull/4112/commits/b59c1e33fa62029f8d5dca801a8afb480514140c
>> and was only waiting for the patch at the root of this here mail thread to
>> advance further so I could contribute that fix, along with other
>> replacements for deprecated operations.
>
> Wonderful.
>
>> Maybe we can move these changes forward in a more orderly manner, with
>> Oscar's patch advancing to `next` once it is done, and the other patches
>> following after that?
>
> That was what I was planning to do anyway.  Thanks.

Eh, I should have made my intention clear.  I'll drop this one (as I
posted it primarily to fish out those who are interested in and more
capable than I am at clearing the deprecation warnings from the CI),
will mark Oscar's for 'next' (if I haven't done so already), wait for
your updates and queue them on a topic forked from Oscar's (or on
the same Oscar's topic), and cook them for the first or the second
batch of the next cycle.

Thanks.